// CSRF-Token form meta tag
const csrfToken = document.querySelector('meta[name="csrf-token"]').getAttribute('content');
const csrfIndex = document.querySelector('meta[name="csrf-index"]').getAttribute('content');

// CSRF Token for Fetch-API
const originalFetch = window.fetch;
window.fetch = function(url, options = {}) {
    options.headers = options.headers || {};
    options.headers['X-CSRF-Token'] = csrfToken;
    options.headers['X-CSRF-Index'] = csrfIndex;
    return originalFetch(url, options);
};

// SRF Token for  XMLHttpRequest
const originalXHR = window.XMLHttpRequest.prototype.open;
window.XMLHttpRequest.prototype.open = function(method, url, async, user, password) {
    this.setRequestHeader('X-CSRF-Token', csrfToken);
    this.setRequestHeader('X-CSRF-Index', csrfIndex);
    return originalXHR.apply(this, arguments);
};
